<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$filtro=$_GET[id];

$wh="";
$sql = "SELECT
			aca_asignaturas.nom_asi as nombre  , aca_estxasigxgrupos.cod_estxasigxgrupos as id,  aca_estxasigxgrupos.cod_estudiante as cd_est
		FROM
			aca_estxasigxgrupos
			INNER JOIN aca_asignaturasxgrupos 
				ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
			INNER JOIN aca_asignaturas 
				ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
		WHERE (1=1) ".$wh. " ORDER BY pri_asi ASC";
		
	//echo $sql;

$academia->instruccion($sql);
$i=0;
$responce = array();
$responce['sql']=$sql;
while($row = $academia->extraer_registro()) {
	$responce[]=$row;
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>       